### Enumeration

# Qmi DsdRadioAccessTechnology

since: 1.32

#### Declaration

    enum Qmi.DsdRadioAccessTechnology

#### Description [src]

Radio access technology.

Available since: 1.32

#### Members

`QMI_DSD_RADIO_ACCESS_TECHNOLOGY_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.32
`QMI_DSD_RADIO_ACCESS_TECHNOLOGY_3GPP_WCDMA`

  WCDMA.

  - Value: `1`
  - Available since: 1.32
`QMI_DSD_RADIO_ACCESS_TECHNOLOGY_3GPP_GERAN`

  GERAN.

  - Value: `2`
  - Available since: 1.32
`QMI_DSD_RADIO_ACCESS_TECHNOLOGY_3GPP_LTE`

  LTE.

  - Value: `3`
  - Available since: 1.32
`QMI_DSD_RADIO_ACCESS_TECHNOLOGY_3GPP_TDSCDMA`

  TD-SDCMA.

  - Value: `4`
  - Available since: 1.32
`QMI_DSD_RADIO_ACCESS_TECHNOLOGY_3GPP_WLAN`

  3GPP WLAN.

  - Value: `5`
  - Available since: 1.32
`QMI_DSD_RADIO_ACCESS_TECHNOLOGY_3GPP_5G`

  5G.

  - Value: `6`
  - Available since: 1.32
`QMI_DSD_RADIO_ACCESS_TECHNOLOGY_3GPP2_1X`

  CDMA 1x.

  - Value: `101`
  - Available since: 1.32
`QMI_DSD_RADIO_ACCESS_TECHNOLOGY_3GPP2_HRPD`

  CDMA EVDO, HRPD.

  - Value: `102`
  - Available since: 1.32
`QMI_DSD_RADIO_ACCESS_TECHNOLOGY_3GPP2_EHRPD`

  CDMA EVDO with eHRPD.

  - Value: `103`
  - Available since: 1.32
`QMI_DSD_RADIO_ACCESS_TECHNOLOGY_3GPP2_WLAN`

  3GPP2 WLAN.

  - Value: `104`
  - Available since: 1.32

#### Type functions

###### qmi_dsd_radio_access_technology_get_string

Gets the nickname string for the `QmiDsdRadioAccessTechnology` specified at `val`.

since: 1.32